/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\Items\Minor Artifacts\BlazeOfDeath.cs
Lines of code: 41
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class BlazeOfDeath : Halberd
	{
		public override int LabelNumber{ get{ return 1063486; } }

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public BlazeOfDeath()
		{
			Hue = 0x501;
			WeaponAttributes.HitFireArea = 50;
			WeaponAttributes.HitFireball = 50;
			Attributes.WeaponSpeed = 25;
			Attributes.WeaponDamage = 35;
			WeaponAttributes.ResistFireBonus = 10;
			WeaponAttributes.LowerStatReq = 100;
			
			AosElementDamages.Physical=50;
			AosElementDamages.Fire=50;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=0;
			AosElementDamages.Energy=0;
			AosElementDamages.Chaos=0;			
		}


		public BlazeOfDeath( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}